---
title: "Visiting the Northwest Computer Museum"
date: 2023-03-18T15:39:06
slug: visiting-the-northwest-computer-museum

---
I got the chance to visit the [Northwest Computer Museum](https://nwcomputermuseum.org.uk/) today, which was really cool. I'm a bit of a fan of older computers, I think there's something charming about them. So when I found out this was opening a few weeks ago I knew I had to go.

I'm really glad I did - they had an amazing collection, and you're free to try and out and play with all of them, with a few exceptions. They had the usual suspects: Commodore 64, every variant of ZX Spectrum that Sir Clive could muster up, a few different Tandys, the Commodore PET.

![A bank of dozens of vintage computers, all switched on and hooked up to screens](./src/images/museum_wide_shot.jpg)

But then there were some really standout machines. They had an original Apple Lisa, that had been donated to the museum and was undergoing refurbishment. They also had an Apple 1 behind a cabinet. Well, sort of. The board wasn't original, it was a clone board, but the casing and keyboard were all from an original Apple 1.

![An Apple 1, in chestnut-coloured wooden casing, behind a glass cabinet](./src/images/Apple_1.jpg)

They had pretty much every class of computer from the last 5 decades, including a bank of video games consoles, and a VR suite. They even had a Pebble watch, still in it's packaging (which I'd been getting nostalgic about just the night before).

Just off from the main museum is even a room filled with BBC Micro computers, where the museum staff hold classes on maintaining & repairing electronics, as well as teaching programming (both BBC BASIC and modern programming languages). There's even an internet café for people who need regular computer access.

<figure>
  ![A Radio Shack Tandy TRS-80](./src/images/WhatsApp-Image-2023-03-18-at-15.18.53.jpeg)
    <figcaption>A Radio Shack Tandy TRS-80</figcaption>
</figure>
 
 <figure>
  ![A Commodore 64 with 1942 loaded](./src/images/WhatsApp-Image-2023-03-18-at-15.18.57.jpeg)
    <figcaption>A Commodore 64 playing 1942</figcaption>
</figure>

<figure>
	![A CRT monitor with Back To The Future 2 on the screen](./src/images/back-to-the-future-2.jpeg)
	<figcaption>Playing Back To The Future 2 on a Commodore</figcaption>
</figure>


Overall this was a great day out, and I'd highly recommend anyone in the area go and have a look - it's a brilliant spot and the owner is very passionate about the project.
